Subject: [SIP] RE: draft-rosenberg-sip-app-components-00.txt

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 10 Dec 2000 18:39:50 -0500

Long airplane rides are great for sip mailing list catch up...

Comments inline:

> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]]
> Sent: Wednesday, November 22, 2000 12:41 PM
> To: Jonathan Rosenberg
> Cc: [email-masked]; [email-masked]
> Subject: draft-rosenberg-sip-app-components-00.txt
> 
> 
> Hi,
> 
> In the draft
> http://www.cs.columbia.edu/~jdrosen/papers/draft-rosenberg-sip
> -app-components-00.txt
> 
> you propose to invoke text to speech services using an INVITE with two
> "m" sections. One sendonly for the text and the other recvonly for the
> speech (audio).
> 
> I see a TSS server as a particular case of a transcoder, that receives
> media in one format (e.g. GSM) and converts it to another format (e.g.
> PCM).
> 
> And I see a transcoder as a particular case of a conference 
> until (MCU).
> It just takes media from one participant and sends it to the other
> (adjusting the format).
> 
> Since conference units are usually INVITEd using one INVITE per
> conference member, I think transcoder services should be 
> invoked in the
> same way (with two INVITEs) as it is described in section 3 of:
> http://search.ietf.org/internet-drafts/draft-camarillo-3pcc-qos-00.txt
> 
> Thus, I would invoke TSS services in the same way. I would send an
> INVITE with an "m"section consisting of audio and a second INVITE with
> an "m" section consisting of text. The TSS server would related both
> INVITEs using the Request-URI (as a conference unit does).

I don't think this works. A conference is different from a TTS service. A
TTS service is fundamentally two streams, and two only. Once stream comes
in, gets converted, and streamed back out.

The conference has many streams. If I do as you propose, and two people both
INVITE the server twice for the same URI, now there are four sessions. Which
ones does the server transcode, and to which other ones does it get sent?

Furthermore, in all cases, accessing the service requires a single INVITE
from any entity to initiate a session to it (a conference may reuqire
multiple INVITEs, but each is from a single participant). By your proposal,
a single entity would now require more than one, and I think its needlessly
more complex.

> A minor typo: in section 9 Peter Mataga seems to share 
> Jonathan's email
> address.
> 

Yes, I noticed that. Copy paste error. For those interested in contacting
him directly, its [email-masked].

-Jonathan R.
---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip